[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStreamAdapter.LockRegion

Lock a region of the stream

## Declaration

Source position: classesh.inc line 1048

`public function TStreamAdapter.LockRegion(`
`libOffset: Largeint;`
`cb: Largeint;`
`dwLockType: LongInt`
`):HRESULT; virtual;`

## Description

LockRegion implements #rtl.types.IStream.LockRegion.

## Errors

This function must be overridden and will raise a runerror 217 when called directly.

## See also

#rtl.types.IStream.LockRegion |  | Lock a region of bytes in the stream

Documentation generated on: Feb 26 2014